/***************************************************************************/
/** @file       debug_dip_def.h
    @brief      実行時スイッチ
    @author     shom
    @internal
****************************************************************************/

/**=====================================================================**/
#ifdef DEBUG_DIP_ITEM

//DEBUG_DIP_ITEM( _category, _name, _msg )

///system
DEBUG_DIP_ITEM( SYSTEM, PAUSE_ALL_UPDATE,	"全更新処理一時停止" )
DEBUG_DIP_ITEM( SYSTEM, PROC_ONLY_FOCUSING,	"フォーカスが外れたら中断する" )
DEBUG_DIP_ITEM( SYSTEM, DRAW_FPS,			"FPS表示" )

///player
DEBUG_DIP_ITEM( PLAYER, NO_DAMAGE,	"ダメージを受けない" )
DEBUG_DIP_ITEM( PLAYER, NO_HIT,		"攻撃を受けない" )

///graphic
DEBUG_DIP_ITEM( GRAPHIC, NOT_RENDER_ENTITY,		"エンティティを描画しない" )
DEBUG_DIP_ITEM( GRAPHIC, NOT_RENDER_FRONTEND,	"フロントエンドを描画しない" )
DEBUG_DIP_ITEM( GRAPHIC, NOT_RENDER_STAGE,		"ステージを描画しない" )
DEBUG_DIP_ITEM( GRAPHIC, NOT_RENDER_PARTICLE,	"パーティクルを描画しない" )

///sound
DEBUG_DIP_ITEM( SOUND, MUTE_BGM,	"BGMミュート" )
DEBUG_DIP_ITEM( SOUND, MUTE_SE,		"SEミュート" )

#endif
/**=====================================================================**/

/**=====================================================================**/
#ifdef DEBUG_DIP_CATEGORY

//DEBUG_DIP_CATEGORY( _name )

DEBUG_DIP_CATEGORY( PLAYER )
DEBUG_DIP_CATEGORY( SYSTEM )
DEBUG_DIP_CATEGORY( GRAPHIC )
DEBUG_DIP_CATEGORY( SOUND )

#endif
/**=====================================================================**/

